## UI(stateManager, config, parentElement)

Constructor

#### # new UI(stateManager, config, parentElement)

$3Dmol.UI - UI creates panels in the viewer to assist control of the viewport

##### Parameters:

Name | Type | Description
--- | --- | ---
`stateManager` | `$3Dmol.StateManager` | StateManager is required to have interaction between glviewer and the ui.
`config` | `Object` | Loads the user defined parameters to generate the ui
`parentElement` | `Object` | Refers the parent division used to hold the canvas for 3Dmol.js

View Source ui/ui.js, line 8

# Methods

#### # Form(specs, mainControl)

Creates Form input that takes input from different input element

##### Parameters:

Name | Type | Description
--- | --- | ---
`specs` | `validSelectionSpec` | `validStyleSpec` | `validAtomSpec` | the defination of spec is used as an input to generate the form
`mainControl` | `Object` | Reference of variable to store the value from the form

View Source ui/form.js, line 689

#### # Icons()

Generates the object to hold different icons present Icons : move, rotate, pencil, listArrow, option, minus, plus, painbrush, select, movie.play, move.pause, movie.stop, movie.next, move.previous, tick, cross, edit, remove, list, style, visible, invisible, mouse, nomouse, label, surface, molecule, change

View Source ui/icon.js, line 1

#### # resize()

Resize the panel with respect to the new viewport

View Source ui/ui.js, line 189